D4Science Infrastructure - Task #10003

Solve the issue of Windows line terminators in shell scripts
Oct 20, 2017 05:56 PM - Gianpaolo Coro

Status: Closed Start date: Oct 20, 2017
Priority: Normal Due date:

Assignee: Gianpaolo Coro % Done: 100%
Category: High-Throughput-Computing Estimated time: 0.00 hour
Target version: SAl

Infrastructure: Production

Description

Shell scripts written through SAI-PreinstalledSoftware with the online editor GUI, contain " line terminators that prevent the scripts to
run correctly.

History

#1 - Oct 20, 2017 06:08 PM - Gianpaolo Coro
- Status changed from New to Closed

- % Done changed from 0 to 100

This issue has been solved with a workaround in the R wrapper that executes the shell script. It has been already deployed, since the wrapper is
based on a template R file that resides on SVN.

However, may be the M are indeed added by some transformation made by the Workspace service during the creation of the zip file containing the
software to execute. Perhaps there is some encoding or transformation for shell scripts as there was for Windows-compiled processes.
@costantino.perciante@isti.cnr.it could you give it a look when possible, please?

@scarponi@isti.cnr.it could you please alert Denis Williams about this fix?

#2 - Oct 23, 2017 10:28 AM - Paolo Scarponi

| have notified him, thanks Gianpaolo.
